function toggle(tipo,campo,tipoRes,campoRes){
	$(document).ready(function(){ 
		$(tipoRes+campoRes).toggle(   
			function(e){ 
				$(tipo+campo).slideUp();
				$(tipo+campo).text('Ocultar');
				//e.preventDefault();
				
			}, 
			function(e){ 
				$(tipo+campo).slideDown();
				//$(tipo+campo).text('Mostrar');
				//e.preventDefault();
				
			}
		);
	  
	}); 
}

function scrollAni(tipo,campo){
	var posicion = $(tipo+campo).offset().top;
	$("html, body").animate({
		scrollTop: posicion
	}, 1000); 
}
$(document).bind('keydown', function(e) {
    if (e.which == 27) {
		ocultar('#', 'modal');
    }
});

function cerrar(){
	location.href='../login';
}

function cerrarVentana(){
	window.close();
}

function limpiarCampo(tipo,campo){
	$(tipo+campo).val('');	
}

function recargarPagina(){
	location.reload();
}

function url(url, dato1, dato2, dato3){
	location.href=url+"?cookie=5547AFR&caption=ASCRRCZCUMBKJ!625887OO0PYg$%6325558*OX25FF4RRRR&pagina=JDRS4485PPP&login="+$dato1+"&pas="+dato2+"& 225FFF2 445555&location=UIYTREM&id_cta="+dato3+"KLSSD87459_2D&basic=12584 2548 9&kernel=0";
}

function url_plataformas(url, plataforma){
	alert('Accediendo a '+plataforma);
	location.href=url;
}

function nuevaVentana(enlace){
	window.open(enlace);
}
function ocultarEnTiempo(tipo,campo,tiempo){
	setTimeout(function() {
        $(tipo+campo).fadeOut(500);
    },tiempo);	
}
function mostrarText(tipo,fondo,campo,texto){
	$(tipo+fondo).show(1);
	$(tipo+campo).text(texto);	
}
function mostrarText2(tipo,campo,texto){
	$(tipo+campo).text(texto);	
}
function mostrar(tipo,campo){
	$(tipo+campo).show();
}

function mostrarTiempo(tipo,campo,tiempo){
	$(tipo+campo).show(tiempo);
}

/*function ocultar(tipo,campo){
	$(tipo+campo).hide(3);
	
}*/
function ocultar(tipo,campo){
	setTimeout(function() {
		$(tipo+campo).hide(500);
	},200);
	
}

function mostrarPass(tipo,campo,check){
	if($('#'+check).is(':checked')) {
		$(tipo+campo).attr('type', 'text');
	} else {
		$(tipo+campo).attr('type', 'password');
	}
}

function css(tipo,campo,atributo,estilo){
	 $(tipo+campo).css(atributo, estilo);
}

function dato(url,div,carga,variable,dato)
{	
	$("#"+carga).show(); //activa el aviso de cargando
	$("#"+div+"Error").hide();
	var valores = dato;
	//alert(valores)
	$.ajax({
	type: "POST",
	data:variable+"="+valores,
	url: url,
	success: function(re){
    $("#"+carga).hide(); // apaga aviso
    $("#"+div).show(1);
    $("#"+div).html(re);// Mostrar la respuesta del servidor en el div con el id "respuesta";
	}
	});	
}

function dato_sin_carga(url,div,carga,variable,dato)
{	
	$("#"+carga).show(); //activa el aviso de cargando
	$("#"+div+"Error").hide();
	var valores = dato;
	//alert(valores)
	$.ajax({
	type: "POST",
	data:variable+"="+valores,
	url: url,
	success: function(re){
    //$("#"+carga).hide(); // apaga aviso
    $("#"+div).show(1);
    $("#"+div).html(re);// Mostrar la respuesta del servidor en el div con el id "respuesta";
	}
	});	
}

function guardar(url,f,div,carga)
{	
	//alert(url);
	if(validar(url)==0){
	}else{
	//alert(f);
	$("#"+carga).show(); //activa el aviso de cargando
	$("#"+div+"Error").hide();
	var valores = $("#"+f).serialize();
	//alert(valores)
	$.ajax({
	type: "POST",
	data:valores,
	url: url,
	success: function(re){
    $("#"+carga).hide(); // apaga aviso
    $("#"+div).show(1);
    $("#"+div).html(re);// Mostrar la respuesta del servidor en el div con el id "respuesta";
	}
	});	
	}
}

function boton(formu,div,archivo,carga,boton) {
	if(validar(archivo)==0){
	}else{
		$("#" + carga).show();
		var f = $(this);
		var formData = new FormData(document.getElementById(formu));
		formData.append("dato", "valor");
		var llamada = $.ajax({
			url: archivo,
			type: "post",
			dataType: "html",
			data: formData,
			cache: false,
			contentType: false,
			processData: false
		}).done(function(res) {
			$("#"+carga).hide(); // apaga aviso
    		$("#"+div).show(1);
			$("#"+div).html(res)
		})
		
	}
}


function cambiarColor(tipo, elemento, color){
	$(tipo+elemento).css('background', color);
}


function validar(url){
	

	//Dependientes 
	if(url=='dep_consul_empresa_nit1.php'){	
		
		if($("#nit_plano_cons").val().length < 1 ){
			$(".nit_plano_cons").show(1);
			$(".nit_plano_cons").text('Por favor, digite el NIT o nombre de la empresa');
			setTimeout(function() {
				$(".nit_plano_cons").fadeOut(1500);
			},3000);
			nit_cta_consul.nit_plano_cons.focus();
			return false;
		}

	}
	
	if(url=='dep_consul_empresa_pin1.php'){	
		
		if($("#id_cta").val().length < 1 ){
			$(".id_cta").show(1);
			$(".id_cta").text('Por favor, digite el PIN de la empresa');
			setTimeout(function() {
				$(".id_cta").fadeOut(1500);
			},3000);
			con_emp_pin.id_cta.focus();
			return false;
		}

	}
	
	if(url=='dep_agregar_usuario_empresa1.php'){	
		
		if($("#id_grupo").val() == '-'){
			$(".id_grupo").show(1);
			$(".id_grupo").text('Por favor, seleccione el grupo empresarial');
			setTimeout(function() {
				$(".id_grupo").fadeOut(1500);
			},3000);
			relacion_usu_emp.id_grupo.focus();
			return false;
		}

	}

	if(url=='dep_crear_grupo1.php'){	
		
		if($("#nom_cli").val().length < 1 ){
			$(".nom_cli").show(1);
			$(".nom_cli").text('Por favor, nombre del grupo empresarial');
			setTimeout(function() {
				$(".nom_cli").fadeOut(1500);
			},3000);
			crear_grupo.nom_cli.focus();
			return false;
		}

	}
	
	if(url=='dep_crear_empresa1.php'){	
		
		if($("#nombre_plano").val().length < 1 ){
			$(".nombre_plano").show(1);
			$(".nombre_plano").text('Por favor, digite el nombre de la empresa | liquidación');
			setTimeout(function() {
				$(".nombre_plano").fadeOut(1500);
			},3000);
			crear_empresa.nombre_plano.focus();
			return false;
		}

		if($("#nombre").val().length < 1 ){
			$(".nombre").show(1);
			$(".nombre").text('Por favor, digite el nombre de la empresa');
			setTimeout(function() {
				$(".nombre").fadeOut(1500);
			},3000);
			crear_empresa.nombre.focus();
			return false;
		}

		if($("#nit_plano").val().length < 1 ){
			$(".nit_plano").show(1);
			$(".nit_plano").text('Por favor, digite el nit de la empresa | liquidación');
			setTimeout(function() {
				$(".nit_plano").fadeOut(1500);
			},3000);
			crear_empresa.nit_plano.focus();
			return false;
		}
		
		if(isNaN($('#nit_plano').val())){
			$(".nit_plano").show(1);
			$(".nit_plano").text('El NIT Debe ser caracteres númericos');
			setTimeout(function() {
				$(".nit_plano").fadeOut(1500);
			},3000);
			crear_empresa.nit_plano.focus();
			return false;
		}

		if($("#nit").val().length < 1 ){
			$(".nit").show(1);
			$(".nit").text('Por favor, digite el nit de la empresa');
			setTimeout(function() {
				$(".nit").fadeOut(1500);
			},3000);
			crear_empresa.nit.focus();
			return false;
		}
		
		if(isNaN($('#nit').val())){
			$(".nit").show(1);
			$(".nit").text('El NIT Debe ser caracteres númericos');
			setTimeout(function() {
				$(".nit").fadeOut(1500);
			},3000);
			crear_empresa.nit.focus();
			return false;
		}

		if($("#digVeri").val().length < 1 ){
			$(".digVeri").show(1);
			$(".digVeri").text('Por favor, digite el dígito de verificación de la empresa');
			setTimeout(function() {
				$(".digVeri").fadeOut(1500);
			},3000);
			crear_empresa.digVeri.focus();
			return false;
		}
		
		if(isNaN($('#digVeri').val())){
			$(".digVeri").show(1);
			$(".digVeri").text('El dígito Debe ser caracteres númericos');
			setTimeout(function() {
				$(".digVeri").fadeOut(1500);
			},3000);
			crear_empresa.digVeri.focus();
			return false;
		}

		if($("#dire").val().length < 1 ){
			$(".dire").show(1);
			$(".dire").text('Por favor, digite la dirección de la empresa');
			setTimeout(function() {
				$(".dire").fadeOut(1500);
			},3000);
			crear_empresa.dire.focus();
			return false;
		}
	}

	if(url=='dep_crear_usuario1.php'){	


		if($("#ccUsu").val().length < 1 ){
			$(".ccUsu").show(1);
			$(".ccUsu").text('Por favor, digite el número de documento');
			setTimeout(function() {
				$(".ccUsu").fadeOut(1500);
			},3000);
			crear_usuario.ccUsu.focus();
			return false;
		}
		
		if(isNaN($('#ccUsu').val())){
			$(".ccUsu").show(1);
			$(".ccUsu").text('El número de documento debe ser caracteres númericos');
			setTimeout(function() {
				$(".ccUsu").fadeOut(1500);
			},3000);
			crear_usuario.ccUsu.focus();
			return false;
		}
	
		if($("#nombreUsu").val().length < 1 ){
			$(".nombreUsu").show(1);
			$(".nombreUsu").text('Por favor, digite el nombre completo del usuario');
			setTimeout(function() {
				$(".nombreUsu").fadeOut(1500);
			},3000);
			crear_usuario.nombreUsu.focus();
			return false;
		}

		if($("#loginUsu").val().length < 1 ){
			$(".loginUsu").show(1);
			$(".loginUsu").text('Por favor, digite el login del usuario');
			setTimeout(function() {
				$(".loginUsu").fadeOut(1500);
			},3000);
			crear_usuario.loginUsu.focus();
			return false;
		}

		/*if($("#passwordUsu").val().length < 1 ){
			$(".passwordUsu").show(1);
			$(".passwordUsu").text('Por favor, digite la contraseña del usuario');
			setTimeout(function() {
				$(".passwordUsu").fadeOut(1500);
			},3000);
			crear_usuario.passwordUsu.focus();
			return false;
		}*/
	}


	if(url=='out_crear_grupo1.php'){	

		if($("#nit_master").val().length < 1 ){
			$(".nit_master").show(1);
			$(".nit_master").text('Por favor, digite el nit del grupo empresarial');
			setTimeout(function() {
				$(".nit_master").fadeOut(1500);
			},3000);
			crear_master_out.nit_master.focus();
			return false;
		}
		
		if(isNaN($('#nit_master').val())){
			$(".nit_master").show(1);
			$(".nit_master").text('El NIT Debe ser caracteres númericos');
			setTimeout(function() {
				$(".nit_master").fadeOut(1500);
			},3000);
			crear_master_out.nit_master.focus();
			return false;
		}
		
		if($("#nom_master").val().length < 1 ){
			$(".nom_master").show(1);
			$(".nom_master").text('Por favor, digite el nombre del grupo empresarial');
			setTimeout(function() {
				$(".nom_master").fadeOut(1500);
			},3000);
			crear_master_out.nom_master.focus();
			return false;
		}
	}


	///////////////////////////////////////SMS

	if(url=='sms_crear_cliente1.php'){	

		if($("#empresa_sms").val() == '-'){
			$(".empresa_sms").show(1);
			$(".empresa_sms").text('Por favor, seleccione el grupo empresarial');
			setTimeout(function() {
				$(".empresa_sms").fadeOut(1500);
			},3000);
			crear_cliente_sms.empresa_sms.focus();
			return false;
		}
		
		if($("#login_sms").val().length < 1 ){
			$(".login_sms").show(1);
			$(".login_sms").text('Por favor, digite el login del usuario SMS');
			setTimeout(function() {
				$(".login_sms").fadeOut(1500);
			},3000);
			crear_cliente_sms.login_sms.focus();
			return false;
		}

		
	}


}